matrix = [
    [1, 0, 0, 1, 0, 0, 0, 1, 0],
    [0, 0, 4, 1, 0, 0, 1, 1, 0],
    [0, 0, 4, 1, 2, 2, 1, 4, 4],
    [1, 1, 0, 0, 4, 2, 0, 4, 4],
    [2, 1, 2, 0, 4, 2, 2, 2, 2],
    [2, 2, 2, 0, 4, 0, 2, 2, 2],
    [2, 2, 0, 2, 0, 0, 0, 4, 4],
    [4, 2, 1, 2, 1, 2, 4, 4, 0],
    [4, 4, 1, 2, 1, 2, 4, 2, 0]
]
i = 0
while i < len(matrix):
    j = 0
    h = matrix[i]

    while j < len(h):
        print(matrix[i][j], end=" ")
        j += 1

    print()
    i += 1
